<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="DNSCheck$ | async as check">
  <div class="flex items-center justify-center">
    <p-button [loading]="(loading$ | async) ?? false" [text]="true" label="Test domain" (click)="dnsCheck()"></p-button>
    <div *ngIf="check" class="h-6 w-0.5 bg-text-100 rounded-md"></div>
    <div *ngIf="check" class="flex items-center gap-2 pl-4" [ngClass]="{ 'text-success': check.active, 'text-danger': !check.active }">
      <i class="pi" [ngClass]="{ 'pi-check-circle': check.active, 'pi-times-circle': !check.active }"></i>
      <div>{{ check.active ? 'domain accessible' : 'domain unreachable' }}</div>
    </div>
  </div>
</ng-container>
